<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: cakeslice.LinkedSet&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classcakeslice_1_1_linked_set.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classcakeslice_1_1_linked_set-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">cakeslice.LinkedSet&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A collection with the fast iteration time of a List and the no-duplicates and fast Remove/Contains time of a HashSet.  
 <a href="classcakeslice_1_1_linked_set.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for cakeslice.LinkedSet&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcakeslice_1_1_linked_set.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab5a0086b670add31c9412ba6bfd3d1e9"><td class="memItemLeft" align="right" valign="top"><a id="ab5a0086b670add31c9412ba6bfd3d1e9" name="ab5a0086b670add31c9412ba6bfd3d1e9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>LinkedSet</b> ()</td></tr>
<tr class="separator:ab5a0086b670add31c9412ba6bfd3d1e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3733b75228bc421ba1cc27fa0e906ee"><td class="memItemLeft" align="right" valign="top"><a id="ac3733b75228bc421ba1cc27fa0e906ee" name="ac3733b75228bc421ba1cc27fa0e906ee"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>LinkedSet</b> (IEqualityComparer&lt; T &gt; comparer)</td></tr>
<tr class="separator:ac3733b75228bc421ba1cc27fa0e906ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb138f7748d18314294ddee4d13cf12"><td class="memItemLeft" align="right" valign="top"><a id="abcb138f7748d18314294ddee4d13cf12" name="abcb138f7748d18314294ddee4d13cf12"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Add</b> (T t)</td></tr>
<tr class="memdesc:abcb138f7748d18314294ddee4d13cf12"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true if the item did not already exist in the <a class="el" href="classcakeslice_1_1_linked_set.html" title="A collection with the fast iteration time of a List and the no-duplicates and fast Remove/Contains ti...">LinkedSet</a> <br /></td></tr>
<tr class="separator:abcb138f7748d18314294ddee4d13cf12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5613392b6f7f1297451f729412d998d4"><td class="memItemLeft" align="right" valign="top"><a id="a5613392b6f7f1297451f729412d998d4" name="a5613392b6f7f1297451f729412d998d4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Remove</b> (T t)</td></tr>
<tr class="memdesc:a5613392b6f7f1297451f729412d998d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true if the item did previously exist in the <a class="el" href="classcakeslice_1_1_linked_set.html" title="A collection with the fast iteration time of a List and the no-duplicates and fast Remove/Contains ti...">LinkedSet</a> <br /></td></tr>
<tr class="separator:a5613392b6f7f1297451f729412d998d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af334461169711ccd10c082f6cbcbf62e"><td class="memItemLeft" align="right" valign="top"><a id="af334461169711ccd10c082f6cbcbf62e" name="af334461169711ccd10c082f6cbcbf62e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> ()</td></tr>
<tr class="separator:af334461169711ccd10c082f6cbcbf62e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e39139a6435354c3f092ac3b4b36c67"><td class="memItemLeft" align="right" valign="top"><a id="a9e39139a6435354c3f092ac3b4b36c67" name="a9e39139a6435354c3f092ac3b4b36c67"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Contains</b> (T t)</td></tr>
<tr class="separator:a9e39139a6435354c3f092ac3b4b36c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4c8385ac909e05f6d8ef9111a52614"><td class="memItemLeft" align="right" valign="top"><a id="a5d4c8385ac909e05f6d8ef9111a52614" name="a5d4c8385ac909e05f6d8ef9111a52614"></a>
IEnumerator&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetEnumerator</b> ()</td></tr>
<tr class="separator:a5d4c8385ac909e05f6d8ef9111a52614"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a72209c961043b8355e7b19bad762d6a8"><td class="memItemLeft" align="right" valign="top"><a id="a72209c961043b8355e7b19bad762d6a8" name="a72209c961043b8355e7b19bad762d6a8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Count</b><code> [get]</code></td></tr>
<tr class="separator:a72209c961043b8355e7b19bad762d6a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A collection with the fast iteration time of a List and the no-duplicates and fast Remove/Contains time of a HashSet. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/OutlineEffect/<a class="el" href="_linked_set_8cs.html">LinkedSet.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacecakeslice.html">cakeslice</a></li><li class="navelem"><a class="el" href="classcakeslice_1_1_linked_set.html">LinkedSet</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
